package de.avatic.lcc.model.db.rates;

import java.time.LocalDateTime;


public class ValidityPeriod {


    private Integer id;

    private LocalDateTime startDate;

    private LocalDateTime endDate;

    private ValidityPeriodState state;

    private int renewals;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public LocalDateTime getStartDate() {
        return startDate;
    }

    public void setStartDate(LocalDateTime startDate) {
        this.startDate = startDate;
    }

    public LocalDateTime getEndDate() {
        return endDate;
    }

    public void setEndDate(LocalDateTime endDate) {
        this.endDate = endDate;
    }

    public ValidityPeriodState getState() {
        return state;
    }

    public void setState(ValidityPeriodState state) {
        this.state = state;
    }

    public void setRenewals(int renewals) {
        this.renewals = renewals;
    }

    public int getRenewals() {
        return renewals;
    }
}
